Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001399KdenliveBuild Systempublic2010-01-25 02:552010-02-20 08:16
Reporteraneta 
Assigned Toj-b-m 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSUbuntu LinuxOS Version9.10
Product Version 
Target VersionFixed in Version0.7.7 
Summary0001399: 2
Descriptiondownloading my bug report was not possible, so i write it down here



Application that crashed: kdenlive
Version of the application: 0.7.5
KDE Version: 4.3.2 (KDE 4.3.2)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-17-generic i686
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
<In detail, tell us what you were doing when the application crashed.>

 -- Backtrace:
Application: Kdenlive (kdenlive), signal: Aborted
[Current thread is 1 (Thread 0xb7861700 (LWP 1757))]

Thread 6 (Thread 0xadf7bb70 (LWP 2046)):
[KCrash Handler]
0000006 0x0023a422 in __kernel_vsyscall ()
0000007 0x049014d1 in raise () from /lib/tls/i686/cmov/libc.so.6
0000008 0x04904932 in abort () from /lib/tls/i686/cmov/libc.so.6
0000009 0x048fa648 in __assert_fail () from /lib/tls/i686/cmov/libc.so.6
0000010 0x006d5dab in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x049b0a46 in pthread_mutex_lock () from /lib/tls/i686/cmov/libc.so.6
0000012 0x00e903b5 in mlt_service_lock () from /usr/lib/libmlt.so.1
0000013 0x00e903ee in mlt_service_get_frame () from /usr/lib/libmlt.so.1
0000014 0x00e90564 in ?? () from /usr/lib/libmlt.so.1
0000015 0x00e9044d in mlt_service_get_frame () from /usr/lib/libmlt.so.1
0000016 0x00e96386 in mlt_consumer_get_frame () from /usr/lib/libmlt.so.1
0000017 0x093ffa50 in ?? () from /usr/lib/mlt/libmltsdl.so
0000018 0x006d380e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000019 0x049a38de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 5 (Thread 0xad77ab70 (LWP 2088)):
#0 0x0023a422 in __kernel_vsyscall ()
#1 0x006d7e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x049b087d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x093fed15 in ?? () from /usr/lib/mlt/libmltsdl.so
0000004 0x006d380e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000005 0x049a38de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xb450db70 (LWP 2089)):
#0 0x0023a422 in __kernel_vsyscall ()
#1 0x006d7e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x049b087d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x00e97548 in ?? () from /usr/lib/libmlt.so.1
0000004 0x006d380e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000005 0x049a38de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xacdf7b70 (LWP 2090)):
#0 0x0023a422 in __kernel_vsyscall ()
#1 0x04995c96 in poll () from /lib/tls/i686/cmov/libc.so.6
0000002 0x060a4cc2 in ?? () from /usr/lib/libpulse.so.0
0000003 0x06091e09 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
0000004 0x06093c23 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
0000005 0x06093cf4 in pa_mainloop_run () from /usr/lib/libpulse.so.0
0000006 0x060a4bc3 in ?? () from /usr/lib/libpulse.so.0
0000007 0x01d93ac2 in ?? () from /usr/lib/libpulsecommon-0.9.19.so
0000008 0x006d380e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000009 0x049a38de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xb0ad8b70 (LWP 2092)):
#0 0x0023a422 in __kernel_vsyscall ()
#1 0x04995c96 in poll () from /lib/tls/i686/cmov/libc.so.6
0000002 0x03c60d80 in ?? () from /usr/lib/libxcb.so.1
0000003 0x03c612eb in ?? () from /usr/lib/libxcb.so.1
0000004 0x03c61687 in xcb_writev () from /usr/lib/libxcb.so.1
0000005 0x035bb2e9 in _XSend () from /usr/lib/libX11.so.6
0000006 0x035a7a8d in ?? () from /usr/lib/libX11.so.6
0000007 0x035a6ed4 in ?? () from /usr/lib/libX11.so.6
0000008 0x035a7c5a in XPutImage () from /usr/lib/libX11.so.6
0000009 0x01c53f9d in ?? () from /usr/lib/libSDL-1.2.so.0
0000010 0x01c59958 in ?? () from /usr/lib/libSDL-1.2.so.0
0000011 0x01c4bbfe in SDL_UpdateRects () from /usr/lib/libSDL-1.2.so.0
0000012 0x01c4bd44 in SDL_UpdateRect () from /usr/lib/libSDL-1.2.so.0
0000013 0x01c4c222 in SDL_Flip () from /usr/lib/libSDL-1.2.so.0
0000014 0x093fe5c0 in ?? () from /usr/lib/mlt/libmltsdl.so
0000015 0x006d380e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000016 0x049a38de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb7861700 (LWP 1757)):
#0 0x0023a422 in __kernel_vsyscall ()
#1 0x04995c96 in poll () from /lib/tls/i686/cmov/libc.so.6
0000002 0x03c60d80 in ?? () from /usr/lib/libxcb.so.1
0000003 0x03c629d2 in xcb_wait_for_reply () from /usr/lib/libxcb.so.1
0000004 0x035bb506 in _XReply () from /usr/lib/libX11.so.6
0000005 0x03598519 in XGetImage () from /usr/lib/libX11.so.6
0000006 0x0899476b in QX11PixmapData::toImage (this=0xa8d9160) at image/qpixmap_x11.cpp:1428
0000007 0x08982b3b in QPixmap::toImage (this=0xb679898) at image/qpixmap.cpp:447
0000008 0x089b5b06 in QTexturedBrushData::image (this=0xad036ac) at painting/qbrush.cpp:209
0000009 QBrush::textureImage (this=0xad036ac) at painting/qbrush.cpp:775
0000010 0x08a5a36b in QSpanData::setup (this=0xad03868, brush=..., alpha=256) at painting/qpaintengine_raster.cpp:5108
0000011 0x08a5b4a2 in QRasterPaintEngine::updateBrush (this=0xb052cf0, brush=...) at painting/qpaintengine_raster.cpp:872
0000012 0x08a60007 in QRasterPaintEngine::ensureBrush (this=0xb052cf0, path=...) at painting/qpaintengine_raster_p.h:265
0000013 QRasterPaintEngine::ensureBrush (this=0xb052cf0, path=...) at painting/qpaintengine_raster_p.h:267
0000014 QRasterPaintEngine::drawPath (this=0xb052cf0, path=...) at painting/qpaintengine_raster.cpp:1930
0000015 0x089ebc0f in QPainter::drawPath (this=0xbfd2a6ac, path=...) at painting/qpainter.cpp:3214
0000016 0x089e609a in QPainterPrivate::draw_helper (this=0xb220a90, originalPath=..., op=<value optimized out>) at painting/qpainter.cpp:451
0000017 0x089e90e3 in QPainter::drawRects (this=0xbfd2bb08, rects=0xbfd2a818, rectCount=1) at painting/qpainter.cpp:3355
0000018 0x089eb491 in QPainter::drawRect (this=0xbfd2bb08, r=..., pm=..., sr=...) at ../../include/QtGui/../../src/gui/painting/qpainter.h:604
0000019 QPainter::drawPixmap (this=0xbfd2bb08, r=..., pm=..., sr=...) at painting/qpainter.cpp:5357
0000020 0x081438bc in ClipItem::paint (this=0xa8e49b8, painter=0xbfd2bb08, option=0xa9ccdc0) at /build/buildd/kdenlive-0.7.5/src/clipitem.cpp:684
0000021 0x08edb9cd in _q_paintItem (item=0xa8e49c0, painter=<value optimized out>, option=0xa9ccdc0, widget=0xa9867f0, useWindowOpacity=true, painterStateProtection=true)
    at graphicsview/qgraphicsscene.cpp:4602
0000022 0x08ee6de1 in QGraphicsScenePrivate::drawItemHelper (this=0xa9a8780, item=0xa8e49c0, painter=0xbfd2bb08, option=0xa9ccdc0, widget=0xa9867f0, painterStateProtection=<value optimized out>)
    at graphicsview/qgraphicsscene.cpp:4699
0000023 0x08ee91f4 in QGraphicsScene::drawItems (this=0xa989ea0, painter=0xbfd2bb08, numItems=2, items=0xae4abb0, options=0xa9ccdc0, widget=0xa9867f0) at graphicsview/qgraphicsscene.cpp:5102
0000024 0x08ef6ebc in QGraphicsView::drawItems (this=0xa98b050, painter=0xbfd2bb08, numItems=2, items=0xae4abb0, options=0xa9ccdc0) at graphicsview/qgraphicsview.cpp:3777
0000025 0x08f03bde in QGraphicsView::paintEvent (this=0xa98b050, event=0xbfd2c0c4) at graphicsview/qgraphicsview.cpp:3528
0000026 0x08908dd4 in QWidget::event (this=0xa98b050, event=0xbfd2c0c4) at kernel/qwidget.cpp:7687
0000027 0x08cb8633 in QFrame::event (this=0xa98b050, e=0xbfd2c0c4) at widgets/qframe.cpp:559
0000028 0x08d57494 in QAbstractScrollArea::viewportEvent (this=0x1, e=0x1) at widgets/qabstractscrollarea.cpp:962
0000029 0x08f0151f in QGraphicsView::viewportEvent (this=0xa98b050, event=0xbfd2c0c4) at graphicsview/qgraphicsview.cpp:2919
0000030 0x08d59a95 in QAbstractScrollAreaPrivate::viewportEvent (this=0xa91a220, o=0xa9867f0, e=0xbfd2c0c4) at widgets/qabstractscrollarea_p.h:100
0000031 QAbstractScrollAreaFilter::eventFilter (this=0xa91a220, o=0xa9867f0, e=0xbfd2c0c4) at widgets/qabstractscrollarea_p.h:111
0000032 0x00fe383a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0xa1328d0, receiver=0xa9867f0, event=0xbfd2c0c4) at kernel/qcoreapplication.cpp:726
0000033 0x088b3f2c in QApplicationPrivate::notify_helper (this=0xa1328d0, receiver=0xa9867f0, e=0xbfd2c0c4) at kernel/qapplication.cpp:4052
0000034 0x088bb5ca in QApplication::notify (this=0xbfd2ccfc, receiver=0xa9867f0, e=0xbfd2c0c4) at kernel/qapplication.cpp:4021
0000035 0x0091abfa in KApplication::notify (this=0xbfd2ccfc, receiver=0xa9867f0, event=0xbfd2c0c4) at ../../kdeui/kernel/kapplication.cpp:302
0000036 0x00fe46cb in QCoreApplication::notifyInternal (this=0xbfd2ccfc, receiver=0xa9867f0, event=0xbfd2c0c4) at kernel/qcoreapplication.cpp:610
0000037 0x08910e25 in QCoreApplication::sendSpontaneousEvent (this=0xa986808, pdev=0xa27f42c, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xa27f440)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
0000038 QWidgetPrivate::drawWidget (this=0xa986808, pdev=0xa27f42c, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xa27f440) at kernel/qwidget.cpp:5079
0000039 0x08a9f233 in QWidgetBackingStore::sync (this=0xa27f440) at painting/qbackingstore.cpp:1261
0000040 0x08902116 in QWidgetPrivate::syncBackingStore (this=0xa24d600) at kernel/qwidget.cpp:1603
0000041 0x08909215 in QWidget::event (this=0xa2895b0, event=0xb919b78) at kernel/qwidget.cpp:7827
0000042 0x08cd6297 in QMainWindow::event (this=0xa2895b0, event=0xb919b78) at widgets/qmainwindow.cpp:1399
0000043 0x00a00dc4 in KMainWindow::event (this=0xa2895b0, ev=0xb919b78) at ../../kdeui/widgets/kmainwindow.cpp:1094
0000044 0x00a4730f in KXmlGuiWindow::event (this=0xa2895b0, ev=0xb919b78) at ../../kdeui/xmlgui/kxmlguiwindow.cpp:131
0000045 0x088b3f54 in QApplicationPrivate::notify_helper (this=0xa1328d0, receiver=0xa2895b0, e=0xb919b78) at kernel/qapplication.cpp:4056
0000046 0x088bb5ca in QApplication::notify (this=0xbfd2ccfc, receiver=0xa2895b0, e=0xb919b78) at kernel/qapplication.cpp:4021
0000047 0x0091abfa in KApplication::notify (this=0xbfd2ccfc, receiver=0xa2895b0, event=0xb919b78) at ../../kdeui/kernel/kapplication.cpp:302
0000048 0x00fe46cb in QCoreApplication::notifyInternal (this=0xbfd2ccfc, receiver=0xa2895b0, event=0xb919b78) at kernel/qcoreapplication.cpp:610
0000049 0x00fe52b2 in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0xa11d0c8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
0000050 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xa11d0c8) at kernel/qcoreapplication.cpp:1247
0000051 0x00fe547d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1140
0000052 0x0100f3ff in QCoreApplication::sendPostedEvents (s=0xa134d10) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
0000053 postEventSourceDispatch (s=0xa134d10) at kernel/qeventdispatcher_glib.cpp:210
0000054 0x07a85e88 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
0000055 0x07a89730 in ?? () from /lib/libglib-2.0.so.0
0000056 0x07a89863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
0000057 0x0100f02c in QEventDispatcherGlib::processEvents (this=0xa11ccc8, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#58 0x08954be5 in QGuiEventDispatcherGlib::processEvents (this=0xa11ccc8, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
0000059 0x00fe2c79 in QEventLoop::processEvents (this=0xbfd2cc54, flags=) at kernel/qeventloop.cpp:149
0000060 0x00fe30ca in QEventLoop::exec (this=0xbfd2cc54, flags=...) at kernel/qeventloop.cpp:201
0000061 0x00fe553f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
0000062 0x088b3dd7 in QApplication::exec () at kernel/qapplication.cpp:3525
0000063 0x0807d4ed in main (argc=5, argv=0xbfd2cee4) at /build/buildd/kdenlive-0.7.5/src/main.cpp:89

Report to http://kdenlive.org/mantis [^]
TagsNo tags attached.
Build/Install Method(select)
Attached Files

- Relationships

-  Notes
(0004687)
j-b-m (administrator)
2010-02-09 08:59

The part of code where the crash happened was rewritten in newer versions of Kdenlive, so I think we can close this one, please try upgrading (version 0.7.7 should be available in the next days)

- Issue History
Date Modified Username Field Change
2010-01-25 02:55 aneta New Issue
2010-02-09 08:59 j-b-m Note Added: 0004687
2010-02-09 08:59 j-b-m Status new => resolved
2010-02-09 08:59 j-b-m Fixed in Version => 0.7.7
2010-02-09 08:59 j-b-m Resolution open => fixed
2010-02-09 08:59 j-b-m Assigned To => j-b-m
2010-02-20 08:16 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker